Callisto4Bootloader: clock_driver_interface_t Struct Reference

Callisto4Bootloader

Data Fields
clock_driver_interface_t Struct Reference

`#include <bl_api.h>`

## Data Fields

uint32_t | version
void(* | CLOCK_SetMux )(clock_mux_t mux, uint32_t value)
uint32_t(* | CLOCK_GetMux )(clock_mux_t mux)
void(* | CLOCK_SetDiv )(clock_div_t divider, uint32_t value)
uint32_t(* | CLOCK_GetDiv )(clock_div_t divider)
void(* | CLOCK_ControlGate )(clock_ip_name_t name, clock_gate_value_t value)
void(* | CLOCK_EnableClock )(clock_ip_name_t name)
void(* | CLOCK_DisableClock )(clock_ip_name_t name)
void(* | CLOCK_SetMode )(clock_mode_t mode)
void(* | CLOCK_SetPllBypass )(CCM_ANALOG_Type *base, clock_pll_t pll, bool bypass)
uint32_t(* | CLOCK_GetFreq )(clock_name_t name)
uint32_t(* | CLOCK_GetCpuClkFreq )(void)
void(* | CLOCK_InitExternalClk )(bool bypassXtalOsc)
void(* | CLOCK_DeinitExternalClk )(void)
void(* | CLOCK_SwitchOsc )(clock_osc_t osc)
uint32_t(* | CLOCK_GetRtcFreq )(void)
void(* | CLOCK_SetXtalFreq )(uint32_t freq)
void(* | CLOCK_SetRtcXtalFreq )(uint32_t freq)
void(* | CLOCK_InitRcOsc24M )(void)
void(* | CLOCK_DeinitRcOsc24M )(void)
void(* | CLOCK_InitArmPll )(const clock_arm_pll_config_t *config)
void(* | CLOCK_DeinitArmPll )(void)
void(* | CLOCK_InitSysPll )(const clock_sys_pll_config_t *config)
void(* | CLOCK_DeinitSysPll )(void)
void(* | CLOCK_InitUsb1Pll )(const clock_usb_pll_config_t *config)
void(* | CLOCK_DeinitUsb1Pll )(void)
void(* | CLOCK_InitUsb2Pll )(const clock_usb_pll_config_t *config)
void(* | CLOCK_DeinitUsb2Pll )(void)
void(* | CLOCK_InitAudioPll )(const clock_audio_pll_config_t *config)
void(* | CLOCK_DeinitAudioPll )(void)
void(* | CLOCK_InitVideoPll )(const clock_video_pll_config_t *config)
void(* | CLOCK_DeinitVideoPll )(void)
void(* | CLOCK_InitEnetPll )(const clock_enet_pll_config_t *config)
void(* | CLOCK_DeinitEnetPll )(void)
uint32_t(* | CLOCK_GetPllFreq )(clock_pll_t pll)
void(* | CLOCK_InitSysPfd )(clock_pfd_t pfd, uint8_t pfdFrac)
void(* | CLOCK_DeinitSysPfd )(clock_pfd_t pfd)
void(* | CLOCK_InitUsb1Pfd )(clock_pfd_t pfd, uint8_t pfdFrac)
void(* | CLOCK_DeinitUsb1Pfd )(clock_pfd_t pfd)
uint32_t(* | CLOCK_GetSysPfdFreq )(clock_pfd_t pfd)
uint32_t(* | CLOCK_GetUsb1PfdFreq )(clock_pfd_t pfd)
bool(* | CLOCK_EnableUsbhs0Clock )(clock_usb_src_t src, uint32_t freq)
bool(* | CLOCK_EnableUsbhs0PhyPllClock )(clock_usb_phy_src_t src, uint32_t freq)
void(* | CLOCK_DisableUsbhs0PhyPllClock )(void)
bool(* | CLOCK_EnableUsbhs1Clock )(clock_usb_src_t src, uint32_t freq)
bool(* | CLOCK_EnableUsbhs1PhyPllClock )(clock_usb_phy_src_t src, uint32_t freq)
void(* | CLOCK_DisableUsbhs1PhyPllClock )(void)

## Detailed Description

Definition at line 36 of file bl_api.h.

## Field Documentation

## ◆ CLOCK_ControlGate

void(* clock_driver_interface_t::CLOCK_ControlGate) (clock_ip_name_t name, clock_gate_value_t value)

Definition at line 43 of file bl_api.h.

## ◆ CLOCK_DeinitArmPll

void(* clock_driver_interface_t::CLOCK_DeinitArmPll) (void)

Definition at line 59 of file bl_api.h.

## ◆ CLOCK_DeinitAudioPll

void(* clock_driver_interface_t::CLOCK_DeinitAudioPll) (void)

Definition at line 67 of file bl_api.h.

## ◆ CLOCK_DeinitEnetPll

void(* clock_driver_interface_t::CLOCK_DeinitEnetPll) (void)

Definition at line 71 of file bl_api.h.

## ◆ CLOCK_DeinitExternalClk

void(* clock_driver_interface_t::CLOCK_DeinitExternalClk) (void)

Definition at line 51 of file bl_api.h.

## ◆ CLOCK_DeinitRcOsc24M

void(* clock_driver_interface_t::CLOCK_DeinitRcOsc24M) (void)

Definition at line 57 of file bl_api.h.

## ◆ CLOCK_DeinitSysPfd

void(* clock_driver_interface_t::CLOCK_DeinitSysPfd) (clock_pfd_t pfd)

Definition at line 74 of file bl_api.h.

## ◆ CLOCK_DeinitSysPll

void(* clock_driver_interface_t::CLOCK_DeinitSysPll) (void)

Definition at line 61 of file bl_api.h.

## ◆ CLOCK_DeinitUsb1Pfd

void(* clock_driver_interface_t::CLOCK_DeinitUsb1Pfd) (clock_pfd_t pfd)

Definition at line 76 of file bl_api.h.

## ◆ CLOCK_DeinitUsb1Pll

void(* clock_driver_interface_t::CLOCK_DeinitUsb1Pll) (void)

Definition at line 63 of file bl_api.h.

## ◆ CLOCK_DeinitUsb2Pll

void(* clock_driver_interface_t::CLOCK_DeinitUsb2Pll) (void)

Definition at line 65 of file bl_api.h.

## ◆ CLOCK_DeinitVideoPll

void(* clock_driver_interface_t::CLOCK_DeinitVideoPll) (void)

Definition at line 69 of file bl_api.h.

## ◆ CLOCK_DisableClock

void(* clock_driver_interface_t::CLOCK_DisableClock) (clock_ip_name_t name)

Definition at line 45 of file bl_api.h.

## ◆ CLOCK_DisableUsbhs0PhyPllClock

void(* clock_driver_interface_t::CLOCK_DisableUsbhs0PhyPllClock) (void)

Definition at line 81 of file bl_api.h.

## ◆ CLOCK_DisableUsbhs1PhyPllClock

void(* clock_driver_interface_t::CLOCK_DisableUsbhs1PhyPllClock) (void)

Definition at line 84 of file bl_api.h.

## ◆ CLOCK_EnableClock

void(* clock_driver_interface_t::CLOCK_EnableClock) (clock_ip_name_t name)

Definition at line 44 of file bl_api.h.

## ◆ CLOCK_EnableUsbhs0Clock

bool(* clock_driver_interface_t::CLOCK_EnableUsbhs0Clock) (clock_usb_src_t src, uint32_t freq)

Definition at line 79 of file bl_api.h.

## ◆ CLOCK_EnableUsbhs0PhyPllClock

bool(* clock_driver_interface_t::CLOCK_EnableUsbhs0PhyPllClock) (clock_usb_phy_src_t src, uint32_t freq)

Definition at line 80 of file bl_api.h.

## ◆ CLOCK_EnableUsbhs1Clock

bool(* clock_driver_interface_t::CLOCK_EnableUsbhs1Clock) (clock_usb_src_t src, uint32_t freq)

Definition at line 82 of file bl_api.h.

## ◆ CLOCK_EnableUsbhs1PhyPllClock

bool(* clock_driver_interface_t::CLOCK_EnableUsbhs1PhyPllClock) (clock_usb_phy_src_t src, uint32_t freq)

Definition at line 83 of file bl_api.h.

## ◆ CLOCK_GetCpuClkFreq

uint32_t(* clock_driver_interface_t::CLOCK_GetCpuClkFreq) (void)

Definition at line 49 of file bl_api.h.

## ◆ CLOCK_GetDiv

uint32_t(* clock_driver_interface_t::CLOCK_GetDiv) (clock_div_t divider)

Definition at line 42 of file bl_api.h.

## ◆ CLOCK_GetFreq

uint32_t(* clock_driver_interface_t::CLOCK_GetFreq) (clock_name_t name)

Definition at line 48 of file bl_api.h.

## ◆ CLOCK_GetMux

uint32_t(* clock_driver_interface_t::CLOCK_GetMux) (clock_mux_t mux)

Definition at line 40 of file bl_api.h.

## ◆ CLOCK_GetPllFreq

uint32_t(* clock_driver_interface_t::CLOCK_GetPllFreq) (clock_pll_t pll)

Definition at line 72 of file bl_api.h.

## ◆ CLOCK_GetRtcFreq

uint32_t(* clock_driver_interface_t::CLOCK_GetRtcFreq) (void)

Definition at line 53 of file bl_api.h.

## ◆ CLOCK_GetSysPfdFreq

uint32_t(* clock_driver_interface_t::CLOCK_GetSysPfdFreq) (clock_pfd_t pfd)

Definition at line 77 of file bl_api.h.

## ◆ CLOCK_GetUsb1PfdFreq

uint32_t(* clock_driver_interface_t::CLOCK_GetUsb1PfdFreq) (clock_pfd_t pfd)

Definition at line 78 of file bl_api.h.

## ◆ CLOCK_InitArmPll

void(* clock_driver_interface_t::CLOCK_InitArmPll) (const clock_arm_pll_config_t *config)

Definition at line 58 of file bl_api.h.

## ◆ CLOCK_InitAudioPll

void(* clock_driver_interface_t::CLOCK_InitAudioPll) (const clock_audio_pll_config_t *config)

Definition at line 66 of file bl_api.h.

## ◆ CLOCK_InitEnetPll

void(* clock_driver_interface_t::CLOCK_InitEnetPll) (const clock_enet_pll_config_t *config)

Definition at line 70 of file bl_api.h.

## ◆ CLOCK_InitExternalClk

void(* clock_driver_interface_t::CLOCK_InitExternalClk) (bool bypassXtalOsc)

Definition at line 50 of file bl_api.h.

## ◆ CLOCK_InitRcOsc24M

void(* clock_driver_interface_t::CLOCK_InitRcOsc24M) (void)

Definition at line 56 of file bl_api.h.

## ◆ CLOCK_InitSysPfd

void(* clock_driver_interface_t::CLOCK_InitSysPfd) (clock_pfd_t pfd, uint8_t pfdFrac)

Definition at line 73 of file bl_api.h.

## ◆ CLOCK_InitSysPll

void(* clock_driver_interface_t::CLOCK_InitSysPll) (const clock_sys_pll_config_t *config)

Definition at line 60 of file bl_api.h.

## ◆ CLOCK_InitUsb1Pfd

void(* clock_driver_interface_t::CLOCK_InitUsb1Pfd) (clock_pfd_t pfd, uint8_t pfdFrac)

Definition at line 75 of file bl_api.h.

## ◆ CLOCK_InitUsb1Pll

void(* clock_driver_interface_t::CLOCK_InitUsb1Pll) (const clock_usb_pll_config_t *config)

Definition at line 62 of file bl_api.h.

## ◆ CLOCK_InitUsb2Pll

void(* clock_driver_interface_t::CLOCK_InitUsb2Pll) (const clock_usb_pll_config_t *config)

Definition at line 64 of file bl_api.h.

## ◆ CLOCK_InitVideoPll

void(* clock_driver_interface_t::CLOCK_InitVideoPll) (const clock_video_pll_config_t *config)

Definition at line 68 of file bl_api.h.

## ◆ CLOCK_SetDiv

void(* clock_driver_interface_t::CLOCK_SetDiv) (clock_div_t divider, uint32_t value)

Definition at line 41 of file bl_api.h.

## ◆ CLOCK_SetMode

void(* clock_driver_interface_t::CLOCK_SetMode) (clock_mode_t mode)

Definition at line 46 of file bl_api.h.

## ◆ CLOCK_SetMux

void(* clock_driver_interface_t::CLOCK_SetMux) (clock_mux_t mux, uint32_t value)

Definition at line 39 of file bl_api.h.

## ◆ CLOCK_SetPllBypass

void(* clock_driver_interface_t::CLOCK_SetPllBypass) (CCM_ANALOG_Type *base, clock_pll_t pll, bool bypass)

Definition at line 47 of file bl_api.h.

## ◆ CLOCK_SetRtcXtalFreq

void(* clock_driver_interface_t::CLOCK_SetRtcXtalFreq) (uint32_t freq)

Definition at line 55 of file bl_api.h.

## ◆ CLOCK_SetXtalFreq

void(* clock_driver_interface_t::CLOCK_SetXtalFreq) (uint32_t freq)

Definition at line 54 of file bl_api.h.

## ◆ CLOCK_SwitchOsc

void(* clock_driver_interface_t::CLOCK_SwitchOsc) (clock_osc_t osc)

Definition at line 52 of file bl_api.h.

## ◆ version

uint32_t clock_driver_interface_t::version

Definition at line 38 of file bl_api.h.

The documentation for this struct was generated from the following file:

- lib/bl_api.h